← Back to listing
PUT/api/v1/companies/{id}

Update Company

Updates an existing company.

Authentication

Send your API key in the x-api-key header.

x-api-keybearer

Parameters

idrequired

path · string

Company ID to update.

Request body

required

PublicApiUpdateCompanyDto

name

string

Name of the company

domain

string

Company domain

description

string

Company description

industry

string

Company industry

phone

string

Company phone number

email

string

Company email address

currency

string

Company currency

address

string

Company address

postalCode

string

Postal code

city

string

City

nEmployees

number

Number of employees

source

string

Company source

annualRevenue

number

Annual revenue

status

string

Company status

foundationYear

number

Foundation year

sellRating

number

Sell rating (0-100)

linkedinUrl

string

LinkedIn URL

parentCompanyId

string

Parent company ID

Example request

json
{
  "name": "Acme Corporation",
  "domain": "acme.com",
  "description": "Leading provider of innovative solutions",
  "industry": "Technology",
  "phone": "+1-555-123-4567",
  "email": "contact@acme.com",
  "currency": "USD",
  "address": "123 Main Street",
  "postalCode": "12345",
  "city": "New York",
  "nEmployees": 150,
  "source": "Website",
  "annualRevenue": 1000000,
  "status": "Active",
  "foundationYear": 2020,
  "sellRating": 85,
  "linkedinUrl": "https://linkedin.com/company/acme-corp",
  "parentCompanyId": "5516cd47-2bd0-4f4f-adc2-22524e54ba4d"
}

Responses

200

PublicApiUpdateCompanyResponseDto

statusCoderequired

number

countrequired

number

errorrequired

string

datarequired

PublicApiCompanyDto

Example response

json
{
  "statusCode": 200,
  "count": 0,
  "error": null,
  "data": {
    "id": "5516cd47-2bd0-4f4f-adc2-22524e54ba4d",
    "name": "Acme Corporation",
    "domain": "acme.com",
    "description": "Leading provider of innovative solutions",
    "industry": "Technology",
    "phone": "+1-555-123-4567",
    "email": "contact@acme.com",
    "currency": "USD",
    "address": "123 Main Street",
    "postalCode": "12345",
    "city": "New York",
    "nEmployees": 150,
    "source": "Website",
    "annualRevenue": 1000000,
    "status": "Active",
    "foundationYear": 2020,
    "sellRating": 85,
    "linkedinUrl": "https://linkedin.com/company/acme-corp",
    "parentCompanyId": "5516cd47-2bd0-4f4f-adc2-22524e54ba4d",
    "createdAt": "2024-01-15T10:00:00.000Z",
    "updatedAt": "2024-01-15T10:00:00.000Z"
  }
}
401Unauthorized - missing or invalid API key or Bearer token